/*
 * @Author: louzhedong
 * @Date: 2019-11-25 11:37:58
 * @LastEditors: louzhedong
 * @LastEditTime: 2019-11-25 11:37:58
 * @Description: 
 */
class XMEnum {
    constructor(array) {
        if (!Array.isArray(array)) {
            throw 'array不是数组';
            return;
        }

        array.map(item => {
            this[item.name] = item;
        })
    }
}

export default XMEnum;